# ORB_Core.i File Reference

`#include "tao/ORB_Core_TSS_Resources.h"`
`#include "tao/ORB_Table.h"`

Include dependency graph for ORB_Core.i:

This graph shows which files directly or indirectly include this file:

## Defines

#define | TAO_OC_RETRIEVE(member)

## Define Documentation

#define TAO_OC_RETRIEVE | ( | member |  | ) |

Value:

    ((this->member##_ == 0) \
      ? (this->member##_ = this->resource_factory ()->get_##member ()) \
      : (this->member##_))